/* ===== 17. Portfolio Area CSS ===== */
.ak_proj_area {
  padding: 100px 0 135px 0;
}
.ak_proj_area .witr_section_title {
  margin-bottom: 45px;
}
.ak_proj_area .witr_section_title_inner p {
  font-size: 18px;
  display: inline-block;
  color: #000;
}
.ak_proj_area .witr_section_title_inner h2 {
  font-size: 42px;
  font-weight: 700;
  margin: auto;
  color: #000;
  font-family: 'Philosopher';
}
.ak_proj_area .bar_mar30 {
  margin: 30px 0 30px 0;
}
.ak_proj_area .witr_bar_inner {
  height: 3px;
  width: 90px;
  background: #e5e5e5;
  margin: 0px auto;
  position: relative;
  border-radius: 30px;
}
.ak_proj_area .witr_bar_innerc:before {
  left: 0;
  transform: translateY(-50%);
  animation-duration: 3s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  animation-name: move_title_bg1;
}
.ak_proj_area .witr_bar_innerc:after {
  right: 0;
  transform: translateY(-50%);
  animation-duration: 3s;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
  animation-name: move_title_bg2;
}
@keyframes move_title_bg2 {
  from {
    right: 0;
  }
  to {
    right: 100%;
  }
}
.ak_proj_area .witr_bar_innerc:after,
.ak_proj_area .witr_bar_innerc:before {
  content: "";
  position: absolute;
  top: 50%;
  border-radius: 50%;
}
.ak_proj_area .witr_bar_innerc:after,
.ak_proj_area .witr_bar_innerc:before {
  border: 6px solid var(--color-primary);
}
.ak_proj_area .witr_single_pslide {
  position: relative;
  overflow: hidden;
  height: 100%;
}
.ak_proj_area .witr_pslide_image {
  overflow: hidden;
  position: relative;
  width: 100%;
}
.ak_proj_area .witr_pslide_image img {
  width: 100%;
  height: 100%;
  object-fit: cover; 
  transition: 0.5s;
}
.ak_proj_area .witr_pslide_image::before {
  position: absolute;
  content: "";
  background: var(--title-text-color);
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  transform: scale(0);
  transition: 0.5s;
  z-index: 1;
  opacity: 0.5;
}
.ak_proj_area .witr_single_pslide:hover .witr_pslide_image img,
.ak_proj_area .witr_single_pslide:hover .witr_pslide_image:before {
  transform: scale(1.2);
}

.ak_proj_area .project_grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr); 
  gap: 30px;
  padding: 0 15px;
  max-width: 1440px;
  margin: 0 auto;
}
.ak_proj_area .project_item {
  height: 100%; 
}

.ak_proj_area .ps1 .witr_content_pslide_text {
  position: absolute;
  bottom: 20px;
  left: 30px;
  right: 30px;
  transition: 0.5s;
  opacity: 1;
  z-index: 2;
  text-align: center;
  border-radius: 5px;
}
.ak_proj_area .ps1 .witr_single_pslide:hover .witr_content_pslide_text {
  opacity: 1;
  bottom: 30px;
}
.ak_proj_area .witr_content_pslide_text h3 {
  margin-bottom: 0;
  text-align: center;
}
.ak_proj_area .witr_content_pslide_text h3 a {
  display: inline-block;
  font-size: 36px;
  overflow:hidden;
  text-overflow:ellipsis;
  display:-webkit-box;
  -webkit-line-clamp:2;
  -webkit-box-orient:vertical;
  color: #fff;
}
.ak_proj_area .witr_content_pslide_text p {
  margin-bottom: 4px;
  color: #fff; 
}
.ak_proj_area .all_pslides_color p {
  padding: 0;
  color: var(--color-second);
  overflow:hidden;
  text-overflow:ellipsis;
  display:-webkit-box;
  -webkit-line-clamp:3;
  -webkit-box-orient:vertical;
}


@media (min-width: 1200px) and (max-width: 1440px) {
  .ak_proj_area .all_pslides_color p {
    padding: 0 10px;
  }
  .ak_proj_area .witr_content_pslide_text h3 a {
    font-size: 30px;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .ak_proj_area .project_grid {
    grid-template-columns: repeat(2, 1fr); 
  }
  .ak_proj_area .witr_content_pslide_text h3 a {
    font-size: 22px;
  }
  .ak_proj_area .ps1 .witr_content_pslide_text {
    left: 20px;
    right: 20px;
  }
}
@media (max-width: 991px) {
  .ak_proj_area .project_grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
  }
  .ak_proj_area .witr_content_pslide_text h3 a {
    font-size: 20px;
  }

  .ak_proj_area {
    padding: 30px 0;
  }

}
@media (max-width: 576px) {
   .ak_proj_area .project_grid {
    grid-template-columns: 1fr;
  }
}
